GNU bug report logs - #8099
LaTeX and automake

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Severity: wishlist; Reported by: Reuben Thomas <rrt@HIDDEN>; dated Tue, 22 Feb 2011 21:45:02 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 6 May 2013 22:10:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 18:10:10 2013
Received: from localhost ([127.0.0.1]:60282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZTbl-0004pH-S9
	for submit <at> debbugs.gnu.org; Mon, 06 May 2013 18:10:10 -0400
Received: from mail-wg0-f43.google.com ([74.125.82.43]:56082)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1UZTbj-0004ot-Jq
	for 8099 <at> debbugs.gnu.org; Mon, 06 May 2013 18:10:08 -0400
Received: by mail-wg0-f43.google.com with SMTP id c11so4004452wgh.10
	for <8099 <at> debbugs.gnu.org>; Mon, 06 May 2013 15:09:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:message-id:date:from:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	bh=/9OYpCYwAtpDi9DQuX9jdMGVjG18XcyHBNbXCLKIwXM=;
	b=ivI0dmpAysN4LUxt3g9icDFi+PlrSR3107mjjKJXPj1UbeojdBJDWAoNxXI+9vsJEH
	LEaJXJ0hKtNzd8bt3w+nG//alo1LyvbvOQ9LJdeCAQ5b6ARsrS1hqxU5pBeC85c3S+qQ
	+4QbtBge2LajahJH9PxeR7wI/ItQcAjORQ/nbi7wUDIUBdYsVi1KBQdy6NKkuWXec+ig
	WbFS2o09+jVYW3rCAmUXF263aNMVeknaN412w/rdCX+6+OwI+cbHDdw2ybJarGiEN3JI
	TSWZ6W55SBaFfoiHxDx+DxIXfxb8IbVPNTG1mLM2KTuO6RE4QRxkWEn0uN2nkvv1GPMZ
	b8QQ==
X-Received: by 10.180.185.114 with SMTP id fb18mr10802732wic.33.1367878147791; 
	Mon, 06 May 2013 15:09:07 -0700 (PDT)
Received: from [192.168.178.20]
	(host93-95-dynamic.6-79-r.retail.telecomitalia.it. [79.6.95.93])
	by mx.google.com with ESMTPSA id x13sm18137757wib.3.2013.05.06.15.09.05
	for <multiple recipients>
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 06 May 2013 15:09:06 -0700 (PDT)
Message-ID: <518829FB.7000406@HIDDEN>
Date: Tue, 07 May 2013 00:08:59 +0200
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: Luke Dalessandro <ldalessandro@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<C7152718-27CF-4346-93D5-3CF6BA82B0D0@HIDDEN>
In-Reply-To: <C7152718-27CF-4346-93D5-3CF6BA82B0D0@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On 05/06/2013 09:14 PM, Luke Dalessandro wrote:
> Are there any updates on integrating either latexmk or
> rubber-based builds as standard infrastructure in automake?
> 
> Luke
> 
Attempting to write patches myself about this is not on my radar
ATM, so I fear we are stuck at "patches welcome".  Sorry.

Regards,
  Stefano






Information forwarded to bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 6 May 2013 19:34:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 15:34:20 2013
Received: from localhost ([127.0.0.1]:60182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZRAy-0006g5-60
	for submit <at> debbugs.gnu.org; Mon, 06 May 2013 15:34:20 -0400
Received: from mail-ie0-f181.google.com ([209.85.223.181]:42026)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ldalessandro@HIDDEN>) id 1UZQsN-0005rh-41
	for 8099 <at> debbugs.gnu.org; Mon, 06 May 2013 15:15:07 -0400
Received: by mail-ie0-f181.google.com with SMTP id x12so4449350ief.26
	for <8099 <at> debbugs.gnu.org>; Mon, 06 May 2013 12:14:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:from:content-type:content-transfer-encoding:subject
	:message-id:date:to:mime-version:x-mailer;
	bh=iE5hc0w+X1dWzZ556JSbiBhTWwx1RUQ11EeNM5Sfdg0=;
	b=QiOc5XFZYBwPsjj2pDoUo2ahIeFc7sw61/IdIL5I+0fURIn2FVpo98fg8ETY+dvQUL
	gfVk9bx7vqBsu+8SJWMeK92gX3BKLFQ4dUEqW2rOB7gXW/I2oC02cvSS79xBR3xAHGyz
	QI0FL6p/uxWGe84E6ZQv6TAtbTRPFW//szDSNbD7bstYAgOsQZFm8gjlms/aLxZb/6M4
	FRPHh+y7gUAlw7bUPeD5E/1lOnxJWvkxf/Rc+32UuSeqRCI3zbuc1CRO+nreAGZUQMi6
	aMFynVAuDMafotOZcy+XFxtCseK3scIgCai2ZNscnimb25n7xn5YIKCv1uATXoh6kf9G
	bB7g==
X-Received: by 10.50.119.67 with SMTP id ks3mr3028678igb.90.1367867648199;
	Mon, 06 May 2013 12:14:08 -0700 (PDT)
Received: from ?IPv6:2001:18e8:2:1031:60a9:b7f1:b845:4ca4?
	([2001:18e8:2:1031:60a9:b7f1:b845:4ca4])
	by mx.google.com with ESMTPSA id xf4sm3834721igb.8.2013.05.06.12.14.07
	for <8099 <at> debbugs.gnu.org>
	(version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
	Mon, 06 May 2013 12:14:07 -0700 (PDT)
From: Luke Dalessandro <ldalessandro@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#8099: LaTeX and automake
Message-Id: <C7152718-27CF-4346-93D5-3CF6BA82B0D0@HIDDEN>
Date: Mon, 6 May 2013 15:14:06 -0400
To: 8099 <at> debbugs.gnu.org
Mime-Version: 1.0 (Mac OS X Mail 6.3 \(1503\))
X-Mailer: Apple Mail (2.1503)
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 8099
X-Mailman-Approved-At: Mon, 06 May 2013 15:34:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

Are there any updates on integrating either latexmk or rubber-based =
builds as standard infrastructure in automake?

Luke=




Information forwarded to bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 4 Mar 2011 20:45:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 15:45:50 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pvbsk-0005GW-4G
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2011 15:45:50 -0500
Received: from exprod7og111.obsmtp.com ([64.18.2.175])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Pvbsh-0005GI-Il
	for 8099 <at> debbugs.gnu.org; Fri, 04 Mar 2011 15:45:48 -0500
Received: from source ([209.85.161.50]) (using TLSv1) by
	exprod7ob111.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTXFPdfWVPQAF2N/kmWBLpdiZytIp3y0N@HIDDEN;
	Fri, 04 Mar 2011 12:45:47 PST
Received: by mail-fx0-f50.google.com with SMTP id 18so2322091fxm.9
	for <8099 <at> debbugs.gnu.org>; Fri, 04 Mar 2011 12:45:40 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.52.203 with SMTP id j11mr1361989fag.24.1299271518074; Fri,
	04 Mar 2011 12:45:18 -0800 (PST)
Received: by 10.223.74.140 with HTTP; Fri, 4 Mar 2011 12:45:18 -0800 (PST)
In-Reply-To: <20110304171426.GJ10500@HIDDEN>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
	<AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
	<20110302221203.GH18183@HIDDEN>
	<AANLkTim295ooJaL+CuOKj_ax4AtWtVQ+L1hQyiKpwFQ-@mail.gmail.com>
	<AANLkTiktHcvqE7FtLG8VCZ6f3KujArFOOTeE3siw2uD8@HIDDEN>
	<20110304171426.GJ10500@HIDDEN>
Date: Fri, 4 Mar 2011 20:45:18 +0000
Message-ID: <AANLkTim-EWinhEgbwK3Pti=ReHq_21ei9AjRumrn3M+x@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

On 4 March 2011 17:14, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
> * Reuben Thomas wrote on Thu, Mar 03, 2011 at 04:42:33PM CET:
>>
>> Thoughts?
>
> We could just provide thin-layer support for both latexmk and/or rubber.

This sounds good, and John Collins has pointed out that latexmk does
provide dependency information (not quite what we want yet, but he's
willing to help fix it), and supplied some useful comparison with
Rubber, suggesting that latexmk is better at ferreting out
dependencies.

> That would probably be the least amount of work, both inside Automake,
> and for getting any missing bits into the upstream projects.

Agreed.

It seems that we're up to deciding what shape the automake interface
should take, given that we expect a tool that supports, in the
abstract:

$(LATEX_MAKER) [--deps|--make|--clean] root.tex

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 4 Mar 2011 17:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 04 12:15:03 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PvYal-0007ym-Im
	for submit <at> debbugs.gnu.org; Fri, 04 Mar 2011 12:15:03 -0500
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PvYaj-0007y3-M6
	for 8099 <at> debbugs.gnu.org; Fri, 04 Mar 2011 12:15:02 -0500
Received: (qmail invoked by alias); 04 Mar 2011 17:14:55 -0000
Received: from xdsl-89-0-180-85.netcologne.de (EHLO localhost.localdomain)
	[89.0.180.85]
	by mail.gmx.net (mp062) with SMTP; 04 Mar 2011 18:14:55 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX19kU8tuemxkp2Kq3EYn5APaHoqBtg1MN0vrSW36eR
	L3PqNGyFYV8VSW
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PvYaA-0002z8-DN; Fri, 04 Mar 2011 18:14:26 +0100
Date: Fri, 4 Mar 2011 18:14:26 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
Message-ID: <20110304171426.GJ10500@HIDDEN>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
	<AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
	<20110302221203.GH18183@HIDDEN>
	<AANLkTim295ooJaL+CuOKj_ax4AtWtVQ+L1hQyiKpwFQ-@mail.gmail.com>
	<AANLkTiktHcvqE7FtLG8VCZ6f3KujArFOOTeE3siw2uD8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTiktHcvqE7FtLG8VCZ6f3KujArFOOTeE3siw2uD8@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

* Reuben Thomas wrote on Thu, Mar 03, 2011 at 04:42:33PM CET:
> 
> Thoughts?

We could just provide thin-layer support for both latexmk and/or rubber.

That would probably be the least amount of work, both inside Automake,
and for getting any missing bits into the upstream projects.

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 3 Mar 2011 15:42:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 10:42:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PvAfu-0004cQ-LJ
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:42:46 -0500
Received: from exprod7og112.obsmtp.com ([64.18.2.177])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1PvAft-0004cE-43
	for 8099 <at> debbugs.gnu.org; Thu, 03 Mar 2011 10:42:46 -0500
Received: from source ([209.85.161.51]) (using TLSv1) by
	exprod7ob112.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTW+27o20CarXc3JDZqnAavYq4mvm5bIn@HIDDEN;
	Thu, 03 Mar 2011 07:42:44 PST
Received: by fxm11 with SMTP id 11so1344417fxm.24
	for <8099 <at> debbugs.gnu.org>; Thu, 03 Mar 2011 07:42:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.58.146 with SMTP id g18mr1652601fah.62.1299166953612; Thu,
	03 Mar 2011 07:42:33 -0800 (PST)
Received: by 10.223.74.140 with HTTP; Thu, 3 Mar 2011 07:42:33 -0800 (PST)
In-Reply-To: <AANLkTim295ooJaL+CuOKj_ax4AtWtVQ+L1hQyiKpwFQ-@mail.gmail.com>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
	<AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
	<20110302221203.GH18183@HIDDEN>
	<AANLkTim295ooJaL+CuOKj_ax4AtWtVQ+L1hQyiKpwFQ-@mail.gmail.com>
Date: Thu, 3 Mar 2011 15:42:33 +0000
Message-ID: <AANLkTiktHcvqE7FtLG8VCZ6f3KujArFOOTeE3siw2uD8@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

On 2 March 2011 22:13, Reuben Thomas <rrt@HIDDEN> wrote:
> On 2 March 2011 22:12, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
>> I just learned about rubber which also aims to deal with latex documents.
>> Have you looked at it yet?
>
> No, I will do so.

Initial impressions are good: rubber is much more cleanly written than
latexmk, and I can use pretty much the same automake rules with it:

LATEX_SRCS = ... # top-level .tex files

LATEX_PDFS = ... # top-level PDF outputs

pdf-local: $(LATEX_PDFS)

CLEANFILES = $(LATEX_PDFS)

clean-local:
	$(RUBBER) --clean $(PAPER_SRCS)

EXTRA_DIST = $(LATEX_SRCS)

.tex.pdf:
	$(RUBBER) --pdf $<

I distribute the PDFs, so change CLEANFILES to MAINTIANERCLEANFILES.

I have not tried extracting dependency information yet, but it seems
very straightforward: rubber-info --deps foo.tex gives a
space-separated list of all the dependencies. So, other than worrying
about filenames containing spaces (sigh), one would imagine just
adding that information to the Makefile.

This means, effectively, delegating the semantics of rebuilding to
rubber, but that seems a reasonable starting-point.

Thoughts?

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 2 Mar 2011 22:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 02 17:13:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuuId-00051l-9g
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2011 17:13:39 -0500
Received: from exprod7og121.obsmtp.com ([64.18.2.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1PuuIa-00051X-IX
	for 8099 <at> debbugs.gnu.org; Wed, 02 Mar 2011 17:13:37 -0500
Received: from source ([209.85.210.50]) (using TLSv1) by
	exprod7ob121.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTW7BCi48VG0Tsy210YtJXtdolXOYI93i@HIDDEN;
	Wed, 02 Mar 2011 14:13:36 PST
Received: by pzk5 with SMTP id 5so59885pzk.9
	for <8099 <at> debbugs.gnu.org>; Wed, 02 Mar 2011 14:13:28 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.239.11 with SMTP id m11mr213352wfh.120.1299104008346; Wed,
	02 Mar 2011 14:13:28 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Wed, 2 Mar 2011 14:13:28 -0800 (PST)
In-Reply-To: <20110302221203.GH18183@HIDDEN>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
	<AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
	<20110302221203.GH18183@HIDDEN>
Date: Wed, 2 Mar 2011 22:13:28 +0000
Message-ID: <AANLkTim295ooJaL+CuOKj_ax4AtWtVQ+L1hQyiKpwFQ-@mail.gmail.com>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

On 2 March 2011 22:12, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
> I just learned about rubber which also aims to deal with latex documents.
> Have you looked at it yet?

No, I will do so.

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 2 Mar 2011 22:12:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 02 17:12:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuuHf-000506-US
	for submit <at> debbugs.gnu.org; Wed, 02 Mar 2011 17:12:40 -0500
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PuuHd-0004zt-49
	for 8099 <at> debbugs.gnu.org; Wed, 02 Mar 2011 17:12:38 -0500
Received: (qmail invoked by alias); 02 Mar 2011 22:12:30 -0000
Received: from xdsl-89-0-184-55.netcologne.de (EHLO localhost.localdomain)
	[89.0.184.55]
	by mail.gmx.net (mp068) with SMTP; 02 Mar 2011 23:12:30 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX19/hLJDhcF/4Iy4J/4cOxR3EbvXAIdCBgz5sqZkdk
	ZSSjXG8FgQrtMo
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PuuH5-0005Km-7l; Wed, 02 Mar 2011 23:12:03 +0100
Date: Wed, 2 Mar 2011 23:12:03 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
Message-ID: <20110302221203.GH18183@HIDDEN>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
	<AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

I just learned about rubber which also aims to deal with latex documents.
Have you looked at it yet?

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 28 Feb 2011 21:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 28 16:08:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PuAK4-0005Nv-5R
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 16:08:04 -0500
Received: from exprod7og117.obsmtp.com ([64.18.2.6])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1PuAK1-0005NN-3G
	for 8099 <at> debbugs.gnu.org; Mon, 28 Feb 2011 16:08:02 -0500
Received: from source ([209.85.212.177]) (using TLSv1) by
	exprod7ob117.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWwOp+JZhJRBTBYmNepWEUIZewWYeJf2@HIDDEN;
	Mon, 28 Feb 2011 13:08:00 PST
Received: by pxi10 with SMTP id 10so767339pxi.8
	for <8099 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 13:07:17 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.200.17 with SMTP id x17mr4698246wff.177.1298927237382;
	Mon, 28 Feb 2011 13:07:17 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Mon, 28 Feb 2011 13:07:17 -0800 (PST)
In-Reply-To: <20110228204333.GB29860@HIDDEN>
References: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
	<20110228204333.GB29860@HIDDEN>
Date: Mon, 28 Feb 2011 21:07:17 +0000
Message-ID: <AANLkTikN7msGtgSEJaxMS6uBHMAxuWncG7Xu_CxdszYL@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

On 28 February 2011 20:43, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
> Hi Reuben,
>
>
> I'm not sure if I said it before; but I wouldn't be surprised if there
> is interest to let latexmk (continue to) exist independently from
> Automake.

That's what I was assuming.

> =A0It's not even clear how big the benefit of a merge would be; at
> least to me it is not yet.

It's more that I suspect given how big and crufty it is, automake
would want its own version that we could make smaller and less crufty,
including getting rid of functionality that is irrelevant to automake,
as I already discussed.

> Not just that. =A0You (or we) should be thinking hard about desired
> semantics first. =A0And a small part of that is showing how example
> rules would look like: both what you'd use now, without automake,
> and also what you'd like to be using with automake support, and
> also what automake would then generate for you.

I already exhibited examples of what I use now and what I would like
to see. To progress really needs more use cases.

--=20
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 28 Feb 2011 20:44:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 28 15:44:03 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu9wp-0004rl-CO
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 15:44:03 -0500
Received: from mailout-de.gmx.net ([213.165.64.22])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Pu9wm-0004rC-QR
	for 8099 <at> debbugs.gnu.org; Mon, 28 Feb 2011 15:44:01 -0500
Received: (qmail invoked by alias); 28 Feb 2011 20:43:54 -0000
Received: from xdsl-89-0-148-31.netcologne.de (EHLO localhost.localdomain)
	[89.0.148.31]
	by mail.gmx.net (mp016) with SMTP; 28 Feb 2011 21:43:54 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1/rvNsX8ePrJHPlEkdoiTeec9/u+A9OaFbZMsEUf7
	shbdAUrEoGr/Qv
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1Pu9wL-00020j-Pt; Mon, 28 Feb 2011 21:43:33 +0100
Date: Mon, 28 Feb 2011 21:43:33 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
Message-ID: <20110228204333.GB29860@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.8 (-)

Hi Reuben,

* Reuben Thomas wrote on Mon, Feb 28, 2011 at 03:24:57PM CET:
> Update: I've written to John to ask about copyright assignment, but
> discovered in the mean time that there are one or two other authors to
> talk to. I will see what John says first before considering how to
> proceed.

I'm not sure if I said it before; but I wouldn't be surprised if there
is interest to let latexmk (continue to) exist independently from
Automake.  Not all users of the former are likely to be using the latter
also.  It's not even clear how big the benefit of a merge would be; at
least to me it is not yet.

* Reuben Thomas wrote on Mon, Feb 28, 2011 at 03:39:13PM CET:
> By the way, before getting all excited about programming, maybe I
> could just write some additional documentation for automake
> recommending the use of latexmk and giving an example Makefile.am
> fragment?

Not just that.  You (or we) should be thinking hard about desired
semantics first.  And a small part of that is showing how example
rules would look like: both what you'd use now, without automake,
and also what you'd like to be using with automake support, and
also what automake would then generate for you.  Installation and
distribution semantics are next.  The code that comes from this can
then be written as new tests, and the rest as documentation patch.

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 28 Feb 2011 14:39:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 28 09:39:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu4Fu-0003dG-An
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 09:39:22 -0500
Received: from exprod7og118.obsmtp.com ([64.18.2.8])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Pu4Fr-0003d4-Us
	for 8099 <at> debbugs.gnu.org; Mon, 28 Feb 2011 09:39:21 -0500
Received: from source ([209.85.212.180]) (using TLSv1) by
	exprod7ob118.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWuzkQnurHMvi9UmIXAP9BKCVtoctyJy@HIDDEN;
	Mon, 28 Feb 2011 06:39:19 PST
Received: by pxi10 with SMTP id 10so897213pxi.11
	for <8099 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 06:39:13 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.239.11 with SMTP id m11mr4384003wfh.120.1298903953549;
	Mon, 28 Feb 2011 06:39:13 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Mon, 28 Feb 2011 06:39:13 -0800 (PST)
In-Reply-To: <AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<20110227065349.GE16255@HIDDEN>
	<AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
	<20110227144222.GB20761@HIDDEN>
	<AANLkTinD6VNBy=cE-_jFjkyt2xpUmRL7DtAw0o=qFx9F@HIDDEN>
	<AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
Date: Mon, 28 Feb 2011 14:39:13 +0000
Message-ID: <AANLkTind_jJFtMm9G9MuV99kgY0UCS=kgZNP3ZdU=FB=@mail.gmail.com>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

By the way, before getting all excited about programming, maybe I
could just write some additional documentation for automake
recommending the use of latexmk and giving an example Makefile.am
fragment?




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 28 Feb 2011 14:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 28 09:25:20 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pu42C-0003JG-L5
	for submit <at> debbugs.gnu.org; Mon, 28 Feb 2011 09:25:20 -0500
Received: from exprod7og127.obsmtp.com ([64.18.2.210])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Pu429-0003Ip-Ry
	for 8099 <at> debbugs.gnu.org; Mon, 28 Feb 2011 09:25:11 -0500
Received: from source ([209.85.210.48]) (using TLSv1) by
	exprod7ob127.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWuwOlquuORrmQ1rNdD7H8jF2K3Lwd/8@HIDDEN;
	Mon, 28 Feb 2011 06:25:09 PST
Received: by mail-pz0-f48.google.com with SMTP id 28so805984pzk.21
	for <8099 <at> debbugs.gnu.org>; Mon, 28 Feb 2011 06:24:58 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.128.1 with SMTP id a1mr4331418wfd.234.1298903097658; Mon,
	28 Feb 2011 06:24:57 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Mon, 28 Feb 2011 06:24:57 -0800 (PST)
In-Reply-To: <AANLkTinD6VNBy=cE-_jFjkyt2xpUmRL7DtAw0o=qFx9F@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<20110227065349.GE16255@HIDDEN>
	<AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
	<20110227144222.GB20761@HIDDEN>
	<AANLkTinD6VNBy=cE-_jFjkyt2xpUmRL7DtAw0o=qFx9F@HIDDEN>
Date: Mon, 28 Feb 2011 14:24:57 +0000
Message-ID: <AANLkTinH7Y0du5q01KDuS1Ou2LQMgQypduFWN5==0j51@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

Update: I've written to John to ask about copyright assignment, but
discovered in the mean time that there are one or two other authors to
talk to. I will see what John says first before considering how to
proceed.

I have also butchered the current version of latexmk to remove all the
functionality automake doesn't need (previewing, printing, and various
types of customisation, some other cruft).

This has reduced the LOC (counted with cloc, so actual code) from
3,724 to 2,916 lines.

The down side is that this is still long, and there seems to be a fair
amount of cruft. The upside is that this is very well commented code
(2,000 lines of comment for the remaining 3,000 lines of ocde). There
are a lot of notes about bits of doubtful code that should also
ideally be checked and sorted out.

If it sounds like an advantage to have a butchered version even
without a copyright assignment (i.e. a fork which is designed for
integration with make rather than interactive use), then I'd be happy
to publish it. If not, then I'll wait until I work out the story on
copyright assignment, but keep using my butchered version in the mean
time.

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 28 Feb 2011 00:39:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 19:39:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ptr91-0007x4-B3
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 19:39:23 -0500
Received: from exprod7og120.obsmtp.com ([64.18.2.18])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Ptr8y-0007wr-JH
	for 8099 <at> debbugs.gnu.org; Sun, 27 Feb 2011 19:39:21 -0500
Received: from source ([209.85.210.50]) (using TLSv1) by
	exprod7ob120.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWrushsy8GxL8PpADjwz5tdyl46tRdCk@HIDDEN;
	Sun, 27 Feb 2011 16:39:20 PST
Received: by pzk5 with SMTP id 5so736939pzk.23
	for <8099 <at> debbugs.gnu.org>; Sun, 27 Feb 2011 16:39:13 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.242.9 with SMTP id p9mr3801983wfh.291.1298853553493; Sun,
	27 Feb 2011 16:39:13 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Sun, 27 Feb 2011 16:39:13 -0800 (PST)
In-Reply-To: <20110227144222.GB20761@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<20110227065349.GE16255@HIDDEN>
	<AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
	<20110227144222.GB20761@HIDDEN>
Date: Mon, 28 Feb 2011 00:39:13 +0000
Message-ID: <AANLkTinD6VNBy=cE-_jFjkyt2xpUmRL7DtAw0o=qFx9F@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

On 27 February 2011 14:42, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
>
> Well yes. =A0Also, as you already mentioned, latex semantics don't really
> fit a directed graph where the nodes are files; rather, it needs a more
> complex diagram of states of sets of files. =A0I don't think trying to ma=
p
> that to portable make would be a worthwhile endeavor, given that latexmk
> already exists. =A0I think we should just try to find rules that are safe
> in the sense of: they call out to latexmk when needed, and not too often
> when it is not needed.

So I was thinking, latexmk could output a list of dependent files for
a given root file, and Make simply calls latexmk when any of them
changes.

> That could be an improvement. =A0Or, as a first step, just calling latexm=
k
> every time. =A0Does it do anything if files are up to date?

No, which is a good start!

> Do you happen to know if latexmk works with pgfplots?

It doesn't seem to know about it.

--=20
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 27 Feb 2011 14:43:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 09:43:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pthps-0000CM-91
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 09:43:00 -0500
Received: from mailout-de.gmx.net ([213.165.64.23])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Pthpe-0000Bv-O4
	for 8099 <at> debbugs.gnu.org; Sun, 27 Feb 2011 09:42:59 -0500
Received: (qmail invoked by alias); 27 Feb 2011 14:42:40 -0000
Received: from xdsl-78-35-54-30.netcologne.de (EHLO localhost.localdomain)
	[78.35.54.30]
	by mail.gmx.net (mp069) with SMTP; 27 Feb 2011 15:42:40 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX18458YaP5A4y3zJ+ODlWuw0o/x8X9ryhxc9yXkDzC
	1EPY9mZQmPSu0j
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PthpH-0005PN-16; Sun, 27 Feb 2011 15:42:23 +0100
Date: Sun, 27 Feb 2011 15:42:23 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
Message-ID: <20110227144222.GB20761@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<20110227065349.GE16255@HIDDEN>
	<AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

* Reuben Thomas wrote on Sun, Feb 27, 2011 at 02:39:31PM CET:
> On 27 February 2011 06:53, Ralf Wildenhues wrote:
> > Anyway, the next step to pursue this would be to think hard about the
> > desired semantics,
> 
> The tricky part here is that latexmk does its own dependency finding.

Well yes.  Also, as you already mentioned, latex semantics don't really
fit a directed graph where the nodes are files; rather, it needs a more
complex diagram of states of sets of files.  I don't think trying to map
that to portable make would be a worthwhile endeavor, given that latexmk
already exists.  I think we should just try to find rules that are safe
in the sense of: they call out to latexmk when needed, and not too often
when it is not needed.

> Hence, in my example rules I only list the root file for each
> document.

Right.  But that will fail to do TRT when you then go and edit another
file which becomes part of the document.

> I suppose that what one would want is something like the makedepends
> support one gets from a C compiler, so that the dependencies could be
> extracted by automake and included in the makefile automatically?

That could be an improvement.  Or, as a first step, just calling latexmk
every time.  Does it do anything if files are up to date?

Do you happen to know if latexmk works with pgfplots?

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 27 Feb 2011 13:39:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 08:39:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ptgqc-0007HN-PP
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:39:43 -0500
Received: from exprod7og112.obsmtp.com ([64.18.2.177])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Ptgqa-0007HA-5L
	for 8099 <at> debbugs.gnu.org; Sun, 27 Feb 2011 08:39:41 -0500
Received: from source ([209.85.210.51]) (using TLSv1) by
	exprod7ob112.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWpUFY551WDy1e2Id7ZDRyez0wyx2ogv@HIDDEN;
	Sun, 27 Feb 2011 05:39:40 PST
Received: by pzk34 with SMTP id 34so515830pzk.10
	for <8099 <at> debbugs.gnu.org>; Sun, 27 Feb 2011 05:39:33 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.128.1 with SMTP id a1mr3364893wfd.234.1298813971566; Sun,
	27 Feb 2011 05:39:31 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Sun, 27 Feb 2011 05:39:31 -0800 (PST)
In-Reply-To: <20110227065349.GE16255@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
	<20110227065349.GE16255@HIDDEN>
Date: Sun, 27 Feb 2011 13:39:31 +0000
Message-ID: <AANLkTik6eiDLJ=rfXLzjwQwndh2ZrRQGUaAV4q8OT1f+@mail.gmail.com>
Subject: Re: bug#8099: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

On 27 February 2011 06:53, Ralf Wildenhues <Ralf.Wildenhues@HIDDEN> wrote:
> Anyway, the next step to pursue this would be to think hard about the
> desired semantics,

The tricky part here is that latexmk does its own dependency finding.
Hence, in my example rules I only list the root file for each
document.

I suppose that what one would want is something like the makedepends
support one gets from a C compiler, so that the dependencies could be
extracted by automake and included in the makefile automatically?

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at 8099 <at> debbugs.gnu.org:


Received: (at 8099) by debbugs.gnu.org; 27 Feb 2011 06:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 27 01:54:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PtaWF-0004tT-Bl
	for submit <at> debbugs.gnu.org; Sun, 27 Feb 2011 01:54:15 -0500
Received: from mailout-de.gmx.net ([213.165.64.23])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1PtaWD-0004tG-15
	for 8099 <at> debbugs.gnu.org; Sun, 27 Feb 2011 01:54:14 -0500
Received: (qmail invoked by alias); 27 Feb 2011 06:54:06 -0000
Received: from xdsl-89-0-149-175.netcologne.de (EHLO localhost.localdomain)
	[89.0.149.175]
	by mail.gmx.net (mp021) with SMTP; 27 Feb 2011 07:54:06 +0100
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1+6YrJZxbK62pPE+0xrg5N8BD2hJ32jIb3K5zTwLv
	8AQ949B3B2bmsl
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1PtaVp-0004tj-Qy; Sun, 27 Feb 2011 07:53:49 +0100
Date: Sun, 27 Feb 2011 07:53:49 +0100
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8099: LaTeX and automake
Message-ID: <20110227065349.GE16255@HIDDEN>
References: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 8099
Cc: 8099 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Hello Reuben,

* Reuben Thomas wrote on Tue, Feb 22, 2011 at 10:43:51PM CET:
> I have just been investigating the state of the art for LaTeX support.

> I've just been autotooling up an old build system of mine from 15
> years ago, and needed to build several LaTeX documents of modest
> complexity, and had no desire to fake up the relevant Make rules.
> 
> I looked into several LaTeX builder scripts.
> 
> I first tried LaTeX-mk, which is a Perl script optionally augmented by
> some Makefile fragments. I ignored the Makefile fragments as they need
> either GNU Make or "a BSD make program". LaTeX-mk itself, which I've
> used successfully for some time to build PDFs on the fly for my
> personal web site, sadly seems to break down in parallel builds.
> 
> LaTeX-make looks better, as it uses what is says is a generic
> Makefile, but integrating that would've required writing support for
> automake. (The fact of being written in Make is not really an
> advantage.)
> 
> I have used earlier versions of Wybo Dekker's "mk", but the current
> version is written in Ruby, which is a bit of an annoying dependency.
> 
> Finally, I found latexmk (which took some disambiguating) by John Collins:
> 
> http://www.phys.psu.edu/~collins/software/latexmk-jcc/

I agree with your reasoning pro latexmk.  LaTeX-mk seems to have too few
features to be generally useful, and I didn't bother to install
LaTeX-make because it would have triggered updating/replacing of roughly
70 packages on my currently half-stable half-oldstable Debian.

> This is a single Perl script, so I can at least require it in
> maintainer mode. Since this seems to be good practice for LaTeX
> documents anyway, since otherwise users must have a full LaTeX system
> installed, and LaTeX can be quite fiddly, I thought it a reasonable
> compromise to distribute PDF files as EXTRA_DIST. It worked in
> parallel and VPATH builds (i.e. make distcheck with MAKEFLAGS
> containing "-j 2" was no problem), and I ended up with the following
> rules:
> 
> PAPER_SRCS = \
> 	$(srcdir)/foo.tex \
> 	$(srcdir)/bar.tex \
> 	...
> 
> PAPER_PDFS = \
> 	$(builddir)/foo.pdf \
> 	$(builddir)/bar.pdf \
> 	...
> 
> pdf-local: $(PAPER_PDFS)
> 
> mostlyclean-local:
> 	$(LATEXMK) -c $(PAPER_SRCS)
> 
> # This would be clean-local, but we distribute the PDFs
> maintainer-clean-local:
> 	$(LATEXMK) -C $(PAPER_SRCS)
> 
> EXTRA_DIST = $(PAPER_SRCS) $(PAPER_PDFS)
> 
> .tex.pdf:
> 	$(LATEXMK) -pdf $<

That looks fairly straightforward.  Almost too easy to warrant special
support.  ;-)

> I'd be interested to know if this is of any interest for automake.

Well, I'm not sure if you're aiming for integrating latexmk fully in
Automake (which I'm guessing the original author might not desire),
or just having automake produce something like the above rules for you.
The latter might be doable.  It is not clear how to arrive at a
sufficiently precise list of prerequisites.

> doc_LATEXS = foo.tex bar.tex
> 
> EXTRA_DIST = foo.pdf bar.pdf

That strikes me as suboptimal.  I have LaTeX sources that include lots
of other sources, .tex ones, but also images, graphs, all sorts of
generated stuff.  At the very least, you'll want to be able to specify
multiple sources.  The _TEXINFOS support for specifying additional
sources is a bit un-idiomatic, maybe we can have a spelling that
includes the _SOURCES name (but foo_tex_SOURCES is technically wrong
too)?  And extra dependencies of course.

> And I guess there would be a certain amount of pain making the `pdf'
> target work for LaTeX and texinfo; are there other cases in which
> suffixes are shared between different toolchains?

Well, as long as can say for an individual target which it comes from it
should be doable.

Anyway, the next step to pursue this would be to think hard about the
desired semantics, and write them down precisely, ideally as patch
against the current documentation and accompanied with testsuite
additions.  ;-)

Hope that helps.

Thanks,
Ralf




Information forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2011 21:44:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 22 16:44:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ps020-0006jI-Aq
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2011 16:44:28 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1Ps01x-0006j4-NH
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2011 16:44:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1Ps01r-0003wW-Ui
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2011 16:44:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:33594)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1Ps01r-0003wS-ST
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2011 16:44:19 -0500
Received: from [140.186.70.92] (port=49290 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Ps01m-0000IA-Qq
	for bug-automake@HIDDEN; Tue, 22 Feb 2011 16:44:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1Ps01l-0003w0-Gs
	for bug-automake@HIDDEN; Tue, 22 Feb 2011 16:44:14 -0500
Received: from exprod7og108.obsmtp.com ([64.18.2.169]:39903)
	by eggs.gnu.org with smtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1Ps01l-0003tt-73
	for bug-automake@HIDDEN; Tue, 22 Feb 2011 16:44:13 -0500
Received: from source ([209.85.160.47]) (using TLSv1) by
	exprod7ob108.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTWQuGM4M29h0j9E+8VB6vX0iztpK86Ht@HIDDEN;
	Tue, 22 Feb 2011 13:44:12 PST
Received: by mail-pw0-f47.google.com with SMTP id 9so752741pwj.20
	for <bug-automake@HIDDEN>; Tue, 22 Feb 2011 13:43:52 -0800 (PST)
MIME-Version: 1.0
Received: by 10.142.178.3 with SMTP id a3mr2547858wff.191.1298411031887; Tue,
	22 Feb 2011 13:43:51 -0800 (PST)
Received: by 10.142.199.21 with HTTP; Tue, 22 Feb 2011 13:43:51 -0800 (PST)
Date: Tue, 22 Feb 2011 21:43:51 +0000
Message-ID: <AANLkTimXGR7agwnXZ07UqbE0UfjP9UwdVAGD2Ogr8Ptt@HIDDEN>
Subject: LaTeX and automake
From: Reuben Thomas <rrt@HIDDEN>
To: bug-automake <bug-automake@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

I have just been investigating the state of the art for LaTeX support.
As far as I can tell there's nothing official; the most "official"
things I can find are some unwritten documentation in the autotoolset
manual:

http://autotoolset.sourceforge.net/tutorial.html

and this project suggestion by Akim Demaille with the apparent
knowledge of Alexandre Duret-Lutz:

http://www.lrde.epita.fr/cgi-bin/twiki/view/Epita/ProjetsLibres#Automake_LaTeX_Support_and_tests

which given their involvement in auto* suggests nothing has been done
(although the page I quote is a few years out of date).

I've just been autotooling up an old build system of mine from 15
years ago, and needed to build several LaTeX documents of modest
complexity, and had no desire to fake up the relevant Make rules.

I looked into several LaTeX builder scripts.

I first tried LaTeX-mk, which is a Perl script optionally augmented by
some Makefile fragments. I ignored the Makefile fragments as they need
either GNU Make or "a BSD make program". LaTeX-mk itself, which I've
used successfully for some time to build PDFs on the fly for my
personal web site, sadly seems to break down in parallel builds.

LaTeX-make looks better, as it uses what is says is a generic
Makefile, but integrating that would've required writing support for
automake. (The fact of being written in Make is not really an
advantage.)

I have used earlier versions of Wybo Dekker's "mk", but the current
version is written in Ruby, which is a bit of an annoying dependency.

Finally, I found latexmk (which took some disambiguating) by John Collins:

http://www.phys.psu.edu/~collins/software/latexmk-jcc/

This is a single Perl script, so I can at least require it in
maintainer mode. Since this seems to be good practice for LaTeX
documents anyway, since otherwise users must have a full LaTeX system
installed, and LaTeX can be quite fiddly, I thought it a reasonable
compromise to distribute PDF files as EXTRA_DIST. It worked in
parallel and VPATH builds (i.e. make distcheck with MAKEFLAGS
containing "-j 2" was no problem), and I ended up with the following
rules:

PAPER_SRCS = \
	$(srcdir)/foo.tex \
	$(srcdir)/bar.tex \
	...

PAPER_PDFS = \
	$(builddir)/foo.pdf \
	$(builddir)/bar.pdf \
	...

pdf-local: $(PAPER_PDFS)

mostlyclean-local:
	$(LATEXMK) -c $(PAPER_SRCS)

# This would be clean-local, but we distribute the PDFs
maintainer-clean-local:
	$(LATEXMK) -C $(PAPER_SRCS)

EXTRA_DIST = $(PAPER_SRCS) $(PAPER_PDFS)

.tex.pdf:
	$(LATEXMK) -pdf $<

I'd be interested to know if this is of any interest for automake.
(latexmk is distributed under the GPL, and has a single author, so
there's a chance of a copyright assignment, should that be important,
though I haven't asked the author about it.) To really support it
properly in automake, some work would obviously be needed to add for
example a LATEXS primary, with suitable prefix for installation under
${datadir}/doc, and some version of all the rules above, presumably
with the different default that the PDF files are not distributed, as
for texinfo, so that I could write simply:

doc_LATEXS = foo.tex bar.tex

EXTRA_DIST = foo.pdf bar.pdf

And I guess there would be a certain amount of pain making the `pdf'
target work for LaTeX and texinfo; are there other cases in which
suffixes are shared between different toolchains?

-- 
http://rrt.sc3d.org




Acknowledgement sent to Reuben Thomas <rrt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-automake@HIDDEN:
bug#8099; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.